
QGIS Application - Bug report #17388

QGIS crashes on featureCount()

2017-11-02 11:47 PM - Nikolay Lebedev

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: PyQGIS Console

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25285

Description

Easy to reproduce: Start QGIS, open up python console and type in:

uri = QgsDataSourceURI()

uri.setConnection('localhost', '5432', 'test', 'postgres', '',QgsDataSourceURI.SSLdisable)

uri.setDataSource('schema', 'table' , "geom", '' , "gid")

layer = QgsVectorLayer(uri.uri(False), 'table', "postgres")

layer.featureCount()

Click Cancel when asked for DB credentials and enter to execute layer.featureCount() call.

Boom - QGIS crashes.

Tested on Win and MacOS on 2.18.14 and 2.18.3

Associated revisions

Revision fe565310 - 2017-11-10 04:32 PM - Alessandro Pasotti 

[bugfix][postgresql] Fix crashes on featureCount()

Fixes #17388

Needs backporting

Revision 269038ef - 2017-11-10 04:43 PM - Alessandro Pasotti 

[bugfix][postgresql] Fix crashes on featureCount()

Fixes #17388

Backported from master fe5653101a57

History

#1 - 2017-11-03 01:13 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-11-07 12:00 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti
#3 - 2017-11-07 12:01 PM - Alessandro Pasotti

This is 2.18 only, correct?

#4 - 2017-11-07 12:14 PM - Nikolay Lebedev

Haven't tested it on master yet.

#5 - 2017-11-09 04:29 PM - Ivan Fomin

LTR 2.14.20 is also affected

#6 - 2017-11-09 06:21 PM - Giovanni Manghi

Ivan Fomin wrote:

LTR 2.14.20 is also affected

2,18 is the new LTR, 2.14 will not get anymore any fix.

#7 - 2017-11-10 04:35 PM - Anonymous

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|fe5653101a57cc2a2b5d1d29b65fb3fdb1b6211a.

#8 - 2017-11-10 04:36 PM - Alessandro Pasotti

- Affected QGIS version changed from 2.18.14 to master

- Resolution set to fixed/implemented

Fixed in master: requires backport to 2.18

#9 - 2017-11-10 05:04 PM - Alessandro Pasotti

Backported to 2.18
